Run of multiarch-fixes for opensm

Try this locally (using the package):

debcheckout opensm
cd opensm
apply-multiarch-hints
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
Opening branch at https://salsa.debian.org/hpc-team/opensm.git/,branch=master
Using cached branch file:///home/janitor/vcs/git/opensm/,branch=master
Total 194 (delta 144), reused 64 (delta 37), pack-reused 0

All changes applied successfully.
Assuming changelog does not need to be updated, since changelog entries are usually updated in separate commits. Specify --update-changelog to override.
opensm-doc: Add Multi-Arch: foreign.
libopensm9: Add Multi-Arch: same.
libopensm-dev: Add Multi-Arch: same.
libosmcomp5: Add Multi-Arch: same.
libosmvendor5: Add Multi-Arch: same.
Building debian packages, running 'sbuild -A -v'.
Elapsed time: 0:04:59.086440
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/build.py", line 127, in build
    subprocess.check_call(
  File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--builder=sbuild -A -v', '--result-dir=/home/janitor/tmp/tmpn0isygho']' returned non-zero exit status 4.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/build.py", line 140, in build_once
    build(local_tree, outf=f, build_command=build_command,
  File "/home/janitor/debian-janitor/janitor/build.py", line 131, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 1069, in build_incrementally
    return attempt_build(
  File "/home/janitor/debian-janitor/janitor/build.py", line 181, in attempt_build
    return build_once(
  File "/home/janitor/debian-janitor/janitor/build.py", line 145, in build_once
    raise worker_failure_from_sbuild_log(f)
janitor.sbuild_log.SbuildFailure: (None, "Revision b'git-v1:af5024f00fb9d502444f36493526fe9d88e0deb3' is not present")

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1171, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1126, in main
    with process_package(
  File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1023, in process_package
    (changes_name, cl_version) = build_incrementally(
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 1087, in build_incrementally
    reset_tree(local_tree, local_tree.basis_tree(), subpath=subpath)
  File "/home/janitor/debian-janitor/lintian-brush/lintian_brush/__init__.py", line 574, in reset_tree
    if dirty_tracker and not dirty_tracker.is_dirty():
AttributeError: 'GitRevisionTree' object has no attribute 'is_dirty'

Full worker log Full build log